GET /statistics/transactions/rate

Get transactions rate by day

Statistics

Description

Retrieve daily transactions rate statistics for your merchant business.
Returns a time series of transactions rates (percentage of redirects that resulted in transactions) grouped by day.
Transactions rate is calculated as: (transactions / redirects) * 100

Authentication Required: User must be authenticated and have the 'merchant' role.

Users can only query their own merchant_id.

Parameters

merchant_id integer query required
The merchant ID to get transactions rate statistics for
start_date string query
Start date for the statistics range (ISO 8601 format). Defaults to 30 days ago.
end_date string query
End date for the statistics range (ISO 8601 format). Defaults to current time.
exclude_bots boolean query
Exclude bot traffic from redirects when calculating transactions rate. Defaults to false (includes bot traffic).
reward_status string query
Filter transactions by reward status when calculating the transactions rate. When omitted, all reward statuses are included.

Responses

200 Successful response with daily transactions rates
application/json
statusstring
Example: success
dataarray
Array of daily transactions rates, returns 0 when there are no redirects
Example:
{
  "status": "success",
  "data": [
    {
      "date": "2024-01-01",
      "transactions_rate": 26.6667
    },
    {
      "date": "2024-01-02",
      "transactions_rate": 0
    },
    {
      "date": "2024-01-03",
      "transactions_rate": 26.8657
    },
    {
      "date": "2024-01-04",
      "transactions_rate": 39.1304
    }
  ]
}
401 Authentication required
application/json
Example:
{
  "status": "error",
  "message": "Not authenticated or insufficient permissions"
}
500 Internal server error
application/json
statusstring
Example: error
messagestring
Example: Failed to fetch transactions rate statistics
errorstring
Example: Connection error